<?php
    if(preg_match("/libconfig.php/i", $_SERVER['PHP_SELF'])){header("location: index.php");die;}

    class MY_LIBRARY
    {
        
        public function __construct()
        {
            //$return=true;
            $clhtml=new MY_HTML();
            //if(!isset($_SESSION['nik'])){$clhtml->mosRedirect("D.H.T.M.L.X");}
            
        }
        
        public function fn_row_isexists($query)
        {
            $rtn=false;
            $rschk=mysql_query($query) or die(mysql_error());
            if($rschk)
            {
                if(mysql_num_rows($rschk)>0){$rtn=true;}
            }
            $this->clearrecordset($rschk);
            return $rtn;
        }
        
        public function fn_get_fieldsvalues($fieldsname,$query)
        {
            $rtn='';
            $spfields=explode(",",trim($fieldsname));
            $rsgetvalue=$this->selectquery($query);
            if($rsgetvalue)
            {
                if(mysql_num_rows($rsgetvalue)>0)
                {
                    $rw=mysql_fetch_object($rsgetvalue);
                    for($i=0;$i<=count($spfields)-1;$i++)
                    {
                        $rtn.=$rw->$spfields[$i]."|";    
                    }
                    $rtn=substr($rtn,0,strlen($rtn)-1);
                }
            }
            $this->clearrecordset($rsgetvalue);            
            $rtn=explode("|",$rtn);
            
            return $rtn;
        }
        
        public function selectquery($query,$mysql_error=null)
        {
            $rsqry=@mysql_query($query);
            if(!$mysql_error){$mysql_error=mysql_error();}
            if(!$rsqry){echo $mysql_error;return false;}
            return $rsqry;
        }
        
        public function data_row_object($recordset)
        {
             return mysql_fetch_object($recordset);
        }
        
        public function data_row_array($recordset)
        {
             return mysql_fetch_array($recordset);
        }
        
        public function field_length($recordset)
        {
            return mysql_num_fields($recordset);
        }
        
        public function getErrorQuery()
        {
            return $this->errquery;
        }
        public function executequery($query)
        {
            if(mysql_query($query))
            {return true;}
            else
            {$this->errquery=mysql_error(); die(mysql_error());return false;}
        }
        
        public function REC_ROWS_COUNT($recordset){return mysql_num_rows($recordset);}
                
    }
    
?>
